- name: install docker on debian
  include_tasks: debian.yml
  when: ansible_facts["distribution"] == "Debian"

- name: install docker on ubuntu
  include_tasks: ubuntu.yml
  when: ansible_facts["distribution"] == "Ubuntu"

- name: install docker sdk for python
  pip:
      name: docker
      state: latest

- name: start docker service
  become: yes
  service:
    name: docker
    state: started
    enabled: yes

- name: add user to docker group
  become: yes
  user:
    name: "{{ ansible_user }}"
    groups: docker
    append: yes

- name: configure docker daemon
  become: yes
  copy:
    content: "{{ docker_daemon_config | to_json }}"
    dest: "/etc/docker/daemon.json"
  notify: restart docker

- name: install compose
  become: yes
  get_url:
    url: https://github.com/docker/compose/releases/download/1.29.2/docker-compose-{{ ansible_facts["system"] }}-{{ ansible_facts["architecture"] }}
    dest: /usr/local/bin/docker-compose